spring:
  datasource:
    url: jdbc:mysql://129.28.174.150:7046/carbon-mall?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
    username: root
    password: 123456
    druid:
      initial-size: 5 #连接池初始化大小
      min-idle: 10 #最小空闲连接数
      max-active: 20 #最大连接数
      web-stat-filter:
        exclusions: "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*" #不统计这些请求数据
      stat-view-servlet: #访问监控网页的登录用户名和密码
        login-username: druid
        login-password: druid

  data:
    mongodb:
      host: localhost
      port: 27017
      database: mall-port

  redis:
    host: 129.28.174.150 # Redis服务器地址
    database: 0 # Redis数据库索引（默认为0）
    port: 7047 # Redis服务器连接端口
    password: # Redis服务器连接密码（默认为空）
    timeout: 300ms # 连接超时时间（毫秒）


# 日志配置
logging:
  level:
    org.springframework.data.mongodb.core: debug
    com.mtcarpenter.mall.mapper: debug
    com.mtcarpenter.mall.portal.dao: debug

